lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'laa/apply_for_legal_aid/api/version'

Gem::Specification.new do |spec|
  spec.name          = 'laa-apply-for-legalaid-api-client'
  spec.version       = Laa::ApplyForLegalAid::Api::VERSION
  spec.authors       = ['Sergio Marques', 'Ministry of Justice']
  spec.email         = ['sergio.marques@digital.justice.gov.uk', 'tools@digital.justice.gov.uk']

  spec.summary       = %q{Ruby client for the LAA Apply for legal aid API}
  spec.homepage      = 'https://github.com/ministryofjustice/laa-apply-for-legalaid-api-ruby-client'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '~> 0.15.2'
  spec.add_dependency 'faraday_middleware', '~> 0.12.2'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'json_matchers', '~> 0.10.0'
  spec.add_development_dependency 'pry-byebug', '~> 3.6.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'vcr', '~> 4.0.0'
  spec.add_development_dependency 'webmock', '~> 3.4.2'
end
